<script setup lang="ts">
import { useSettingsStore } from 'store/settingsStore'
import dummyFolders from 'data/organization/folders'
import dummyTags from 'data/organization/tags'

const store = useSettingsStore()

// Options
const folderOptions = computed(() => {
  return dummyFolders.map(folder => ({ label: folder.name, value: folder.id }))
})
const tagOptions = computed(() => {
  return dummyTags.map(tag => ({ label: tag.name, value: tag.id }))
})
</script>

<template>
  <div id="email-settings" class="flex flex-col bg-light-50">
    <div id="email-information" class="px-4">
      <n-divider title-placement="left" class="!mt-2">
        Email Settings
      </n-divider>
      <div class="space-y-xl px-2 mb-4">
        <div id="input">
          <span class="text-sm font-semibold">Email Name</span>
          <n-input v-model:value="store.email_name" type="text" placeholder="Email Name" />
        </div>
        <div id="input">
          <span class="text-sm font-semibold">Email Subject</span>
          <n-input v-model:value="store.email_subject" type="text" placeholder="Email Subject" />
        </div>
        <div id="input">
          <span class="text-sm font-semibold">Email Description</span>
          <n-input
            v-model:value="store.email_description"
            type="textarea"
            placeholder="Email Description"
          />
        </div>
        <div id="input">
          <div class="flex items-center">
            <span class="text-sm font-semibold">Email Preheader</span>
            <n-popover class="max-w-[280px]" trigger="hover">
              <template #trigger>
                <i role="img" class="i-ant-design:info-circle-outlined block h-4 w-4 ml-1" />
              </template>
              <span class="text-xs">This is a summary that appears after the subject line in the recipient's inbox, but is not visible when opening the email</span>
            </n-popover>
          </div>
          <n-input
            v-model:value="store.email_preheader"
            type="textarea"
            placeholder="Email Preheader"
          />
        </div>
        <n-upload>
          <n-upload-dragger class="flex flex-col items-center justify-center text-center">
            <div class="i-ic:round-file-upload w-12 h-12 text-pacific" />
            <span class="text-base">Add a custom thumbnail</span>
            <span class="text-xs">Files must be JPG/PNG format with a size less than 1MB</span>
          </n-upload-dragger>
        </n-upload>
        <div id="input" class="flex items-center">
          <n-checkbox v-model:checked="store.email_skip_dedupe" size="medium" label="Bypass all email de-duplication" />
          <n-popover class="max-w-[280px]" trigger="hover">
            <template #trigger>
              <i role="img" class="i-ant-design:info-circle-outlined block h-4 w-4" />
            </template>
            <span class="text-xs">If checkbox is selected, this email can be sent any number of times to the same recipient on the same day.</span>
          </n-popover>
        </div>
      </div>
    </div>
    <!-- Seperator -->
    <div id="email-organization" class="px-4">
      <n-divider title-placement="left" class="!mt-2">
        Folders/Tags
      </n-divider>
      <div class="space-y-xl px-2 mb-4">
        <div id="input">
          <span class="text-sm font-semibold">Folders</span>
          <n-select
            v-model:value="store.email_folders"
            placeholder="Select Folders"
            filterable
            clearable
            multiple
            :options="folderOptions"
            max-tag-count="responsive"
            :reset-menu-on-options-change="false"
          />
        </div>
        <div id="input">
          <span class="text-sm font-semibold">Tags</span>
          <n-select
            v-model:value="store.email_tags"
            placeholder="Select Tags"
            filterable
            clearable
            multiple
            :options="tagOptions"
            max-tag-count="responsive"
            :reset-menu-on-options-change="false"
          />
        </div>
      </div>
    </div>
  </div>
</template>
